Subject: Re: [kernel.org users] Re: auto-packing on kernel.org? please?

From: Nick Hengeveld <[email-masked]>
Date: Mon, 17 Oct 2005 16:54:23 -0700

On Mon, Oct 17, 2005 at 01:08:03PM -0700, Junio C Hamano wrote:

>  - a way for the user to say "unless I ask explicitly otherwise,
>    do not bother me if the commits older than these ones are
>    incomplete" -- an milder version of cauterizing commit chain
>    via info/grafts.
> 
>  - a way for the user to say "this time I am explicitly
>    overriding the above -- I am interested in older history".
> 
>  - change to fsck-objects, fetch- and probably upload-pack on
>    the other end, and commit walkers to honor the above two.

That's how I interpreted the -c and -a command-line arguments to the
commit walkers.  git-fetch calls them with -a but we've been using -t
to only follow the tree objects and it's been working great.

Perhaps that would be a good way for the commit walker to decide whether
to transfer a full pack file - it may not make sense if it wasn't told
to get history.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.